summaryrefslogtreecommitdiff
path: root/iwd/install-2cd-minimal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'iwd/install-2cd-minimal.sh')
-rwxr-xr-xiwd/install-2cd-minimal.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/iwd/install-2cd-minimal.sh b/iwd/install-2cd-minimal.sh
new file mode 100755
index 0000000..1b60b85
--- /dev/null
+++ b/iwd/install-2cd-minimal.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale (2CD version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $IWD_2CD_UK_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+
+move_and_remove "${TARGETDIR}/minimum_compressed/" "$TARGETDIR"
+move_and_remove "${TARGETDIR}/recommended_compressed/data/" "${TARGETDIR}/data"
+rm -r "${TARGETDIR}/recommended_compressed"
+rm -r "${TARGETDIR}/register"
+
+copylower "${CDMOUNT}/Data" "${TARGETDIR}/data" || die
+copylower "${CDMOUNT}/ICEWIND.ICO" "$TARGETDIR" || die
+
+teardown "$TARGETDIR"